1
Products

SA5115/97  Portable video player
Please be aware that your product may differ in color from this picture, but the support information is same
View product

Portable video player

SA5115/97

'SP' or 'Service Pack' error when loading the CD supplied with my Philips player

You need to update your operating system. Your operating system does not meet the minimum system requirements. The minimum system requirement for this product is Windows XP (Home or Professional) SP2 (or above). For Windows XP users (Home or Professional), SP2 (or above) is required. The current link. The link may change in the future. Using a search engine with the following keywords should assist you: Windows XP Service Pack Download

Register your product
Register your product

Keep track of your product warranty coverage

Qualify for cash-back, gifts and special offers

Get easy access to product support

Subscribe to our newsletter

Philips values and respects your privacy. Please read the Privacy Notice for more information

Thanks for subscribing to our newsletter!

Sorry, your subscription to our newsletter failed. Please try again later.